
"""

#if  else elif 的使用
#       if 条件：
#           结果
#       else：
#           结果
if 3 > 2:
    print("aaa")
elif 3 < 1:
    print("ccc")
else:
    print("bbb")



# while使用
# 注意点：即使你在代码中进行了更改bool状态  但是 你需要执行完代码  才能去跳转判断
# while 条件：
#    结果
boo = True
while boo:
    print("歌曲")
    boo = False
    print("bbb")

#eg 打印 1-100
boo1 = 1
while boo1 <= 100:
    print(boo1)
    boo1 = boo1+1

#break使用  看到 break  直接跳出循环
boo2 = 0
while True:
    boo2 = boo2 + 1
    print(boo2)
    if boo2 == 100:
        break



#continue 的使用   结束本次循环 执行下一次循环
#eg 下面永远循环执行 aaa bbb
boo3 = 0
while True:
    print("aaa")
    print("bbb")
    continue
    print("ccc")

#练习  break while 循环计算 1+2+3+4+。。。100

num = 0
number = 0
while True:
    num = num+1
    if num == 101:
        break
    number = num+number
    print(number)


number = 0
num = 1
while True:
    number = num + number
    num = num + 1
    if num == 101:
        print(number)
        break



#作业
#1。使用while循环 输入 1-10  不输入7
#2。1-2+3-4+5-6+7。。。99的所有数的和
#3。用户登陆（三次机会重试）

#1
num1 = 1
while True:
    if num1 == 7:
        num1 = num1 + 1
        continue
    if num1 == 11:
        break
    print(num1)
    num1 = num1 + 1


#2  这里注意你的接收类型  str 对应的就是str   int 就是对应的int
username = input("请输入账号：")

password = input("请输入密码：")
while username == "709188456" and password == "3328378":
    print("aaa")
    break
print("不不不")

str
    拼接： str + str
    乘积： str * int
bool
    True False

if 的 五大方式
    1。if 条件：
        pass

    2。if 条件：
        pass
    else：
        pass

    3。elif 条件：
        pass

    4。else：
        pass

    5。if 条件：
            pass
            if 条件：
                pass
            else：
                pass



# 字符串可以拼接  但是 如果你字符串之间 想要加参数  也可以用format
name = input("请输入名字：")
age = input("请输入年龄：")
form = input("请输入性别：")
mgs = "我叫"+name+"今年{}岁".format(age)+"来自山西汾阳"

print(mgs)

# 个人简历参数化 如何制作
msg = '''
---------------------个人简历---------------------

名字：%s
性别：%s
年龄：%s
职业：%s

-----------------------end-----------------------
'''\
% ("刘丙寅","男",27,"测试工程师")
print(msg)
"""

msg = "我叫%s，今年%s，学习进度%s%%"% ("刘丙寅","26",2)
print(msg)


#while else  固定搭配    当while循环被break打断，则不走else程序。

count = 0
while count < 5:
    print(count)
    count = count + 1
    if count == 4:
        break
else:
    print("aaa")
print("---------------------")










# int 转换成 bool  非零 是 true  零是false
#bool  转换成 int true是1  false是 0


























